Skip to main content
GET
Get a single publisher

Authorizations

api_key
string
query
required

Your OpenAlex API key. Get a free key at https://openalex.org/settings/api

Path Parameters

id
string
required

OpenAlex ID (e.g., P4310319965)

Query Parameters

select
string

Comma-separated list of fields to return. Reduces response size. Example: select=id,display_name,cited_by_count

api_key
string
required

Your OpenAlex API key (required). Get a free key at https://openalex.org/settings/api

Response

Successful response

An organization that publishes scholarly works

id
string

The OpenAlex ID for this publisher.

Example:

"https://openalex.org/P4310319965"

display_name
string

The primary name of the publisher.

alternate_titles
string[]

Alternate titles for this publisher (including translations).

country_codes
string[]

ISO two-letter country codes where the publisher is primarily located.

hierarchy_level
integer

The hierarchy level for this publisher. Level 0 has no parent publishers.

parent_publisher
object | null

OpenAlex ID of the direct parent publisher. Null if hierarchy_level is 0.

lineage
string[]

OpenAlex IDs including this publisher and any parent publishers.

works_count
integer

The number of works published by this publisher.

cited_by_count
integer

Total citations to works linked to this publisher.

sources_api_url
string

A URL that will get you a list of all sources published by this publisher.

ids
object

External identifiers:

counts_by_year
object[]

works_count and cited_by_count for each of the last ten years.

created_date
string<date>

When this publisher was added to OpenAlex (ISO 8601 date).

updated_date
string<date-time>

When this publisher was last updated (ISO 8601 datetime).